> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.awork.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.awork.com/_mcp/server.

# Returns time bookings for users.

GET https://api.awork.com/api/v1/users/projecttimebookings

Returns time bookings for users. Each booking includes its project, user, and tracked duration. The user must have permission to access the requested resource.

Reference: https://developers.awork.com/apiv1/time-bookings/get-project-time-bookings-for-users

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `userIds` (string, required) — The ids of the users.
- `intervalStart` (string, required) — The start of the interval.
- `intervalEnd` (string, required) — The end of the interval.

## Response

### 200

OK

- `list of GetTimeBookingForUsersResult`

## Errors

### 400 Bad Request Error

Bad Request

- `code` (string, required) — The error code.
- `description` (string, required) — The description of the error.
- `link` (string, required) — The link to the API documentation page.
- `details` (list of string, optional, nullable) — A list of details describing the error.
- `validationErrors` (list of ValidationErrorResponse, optional, nullable) — If a validation error occurred, this contains the validation errors for each property.
- `traceId` (string, optional, nullable) — The request trace id for tracking the request.

### 401 Unauthorized Error

Unauthorized

- `code` (string, required) — The error code.
- `description` (string, required) — The description of the error.
- `link` (string, required) — The link to the API documentation page.
- `details` (list of string, optional, nullable) — A list of details describing the error.
- `validationErrors` (list of ValidationErrorResponse, optional, nullable) — If a validation error occurred, this contains the validation errors for each property.
- `traceId` (string, optional, nullable) — The request trace id for tracking the request.

## Types

### GetTimeBookingForUsersResult

- `userId` (string, optional) — The user id to which the time bookings belong.
- `timeBookings` (list of TimeBooking, optional, nullable) — The list of time bookings of the user.

### ValidationErrorResponse

The validation error response.

- `property` (string, optional, nullable) — The name of the property that failed validation.
- `message` (string, optional, nullable) — The reason why this property failed validation.

### TimeBooking

- `id` (string, optional) — The id of the entity.
- `createdOn` (string, optional) — The date this entity was created.
- `createdBy` (string, optional) — The id of the user who created this entity.
- `updatedOn` (string, optional) — The date this entity was last modified.
- `updatedBy` (string, optional) — The id of the user who last modified this entity.
- `userId` (string, optional) — The id of the user this time booking is for.
- `projectId` (string, optional, nullable) — (optional) The id of the project this time booking is for.
- `startDate` (string, optional) — The start date of the time booking.
- `endDate` (string, optional) — The end date of the time booking.
- `duration` (integer, optional) — The planned duration, expressed in seconds, of this time booking.
- `description` (string, optional, nullable) — The optional description for this time booking.
- `laneOrder` (integer, optional) — The order in which this object should be shown in the timeline (row number). Used by the awork web app.
- `isAnonymized` (boolean, optional, nullable) — This will be true if the user doesn't have access to the project. In that case the description will be shadowed.

## Examples

**Response**

```json
[
  {
    "userId": "123e4567-e89b-12d3-a456-426614174000",
    "timeBookings": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "createdOn": "2022-03-11T15:33:47.100Z",
        "createdBy": "123e4567-e89b-12d3-a456-426614174000",
        "updatedOn": "2022-03-11T21:15:00.100Z",
        "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
        "userId": "123e4567-e89b-12d3-a456-426614174000",
        "projectId": "123e4567-e89b-12d3-a456-426614174000",
        "startDate": "2024-05-15",
        "endDate": "2024-05-18",
        "duration": 1,
        "description": "Blocker for a new project",
        "laneOrder": 1,
        "isAnonymized": true
      }
    ]
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.awork.com/api/v1/users/projecttimebookings"

querystring = {"intervalEnd":"intervalEnd","intervalStart":"intervalStart","userIds":"123e4567-e89b-12d3-a456-426614174000,223e4567-e89b-12d3-a456-426614174001"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.awork.com/api/v1/users/projecttimebookings?intervalEnd=intervalEnd&intervalStart=intervalStart&userIds=123e4567-e89b-12d3-a456-426614174000%2C223e4567-e89b-12d3-a456-426614174001';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.awork.com/api/v1/users/projecttimebookings?intervalEnd=intervalEnd&intervalStart=intervalStart&userIds=123e4567-e89b-12d3-a456-426614174000%2C223e4567-e89b-12d3-a456-426614174001"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.awork.com/api/v1/users/projecttimebookings?intervalEnd=intervalEnd&intervalStart=intervalStart&userIds=123e4567-e89b-12d3-a456-426614174000%2C223e4567-e89b-12d3-a456-426614174001")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.awork.com/api/v1/users/projecttimebookings?intervalEnd=intervalEnd&intervalStart=intervalStart&userIds=123e4567-e89b-12d3-a456-426614174000%2C223e4567-e89b-12d3-a456-426614174001")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.awork.com/api/v1/users/projecttimebookings?intervalEnd=intervalEnd&intervalStart=intervalStart&userIds=123e4567-e89b-12d3-a456-426614174000%2C223e4567-e89b-12d3-a456-426614174001', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.awork.com/api/v1/users/projecttimebookings?intervalEnd=intervalEnd&intervalStart=intervalStart&userIds=123e4567-e89b-12d3-a456-426614174000%2C223e4567-e89b-12d3-a456-426614174001");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.awork.com/api/v1/users/projecttimebookings?intervalEnd=intervalEnd&intervalStart=intervalStart&userIds=123e4567-e89b-12d3-a456-426614174000%2C223e4567-e89b-12d3-a456-426614174001")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```